using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;


namespace ResourcesExamples
{
    /// <summary>
    /// Interaction logic for Example2.xaml
    /// </summary>

    public partial class Example2 : Window
    {
        public Example2()
        {
            InitializeComponent();

            Brush b = (Brush)this.Resources["Foo"];
            String s = (String)this.Resources["HW"];

            Brush b0 = (Brush)this.FindResource("Foo");
            String s0 = (String)this.FindResource("HW");

            // Returns null
            Brush b1 = (Brush)myGrid.Resources["Foo"];

            // Returns SolidColorBrush from Window.Resources
            Brush b2 = (Brush)myGrid.FindResource("Foo");


            Brush toolTipBackground = (Brush)myGrid.FindResource(SystemColors.InfoBrushKey);
            Brush toolTipBackground2 = SystemColors.InfoBrush;


            Application.Current.Resources[SystemColors.InfoBrushKey] = new SolidColorBrush(Colors.Red);

        }
    }
}