using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;
using System.Diagnostics;


namespace CustomControlsExamples
{
    /// <summary>
    /// Interaction logic for Example6.xaml
    /// </summary>

    public partial class Example6 : Window
    {
        public Example6()
        {
            InitializeComponent();

            RoutedEventHandler handler = MyBarHandlerMethod;
            myButton.AddHandler(MyCustomControl6.BarEvent, handler);

            myButton.Click += new RoutedEventHandler(myButton_Click);

        }

        void myButton_Click(object sender, RoutedEventArgs e)
        {
            RoutedEventArgs re = new RoutedEventArgs();
            re.RoutedEvent = MyCustomControl6.BarEvent;
            myButton.RaiseEvent(re);
        }

        private void MyBarHandlerMethod(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine("Bar event raised");
        }

    }
}