using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using System.Windows.Controls;
using System.Windows.Input;

namespace CustomControlsExamples
{
    public class MyControl9 : Control
    {
        public static RoutedCommand FooCommand;

        static MyControl9()
        {
            InputGestureCollection fooInputs = new InputGestureCollection();
            fooInputs.Add(new KeyGesture(Key.F,
                                         ModifierKeys.Control | ModifierKeys.Shift));
            FooCommand = new RoutedCommand("Foo", typeof(MyControl9), fooInputs);

            CommandBinding fooCommandBinding = new CommandBinding(FooCommand,
                HandleFooCommand);
            CommandManager.RegisterClassCommandBinding(typeof(MyControl9),
                fooCommandBinding);
        }

        private static void HandleFooCommand(object target, ExecuteEventArgs e)
        {
            MyControl9 myControl = (MyControl9) target;
            Debug.WriteLine("Foo invoked");
        }

    }
}
