using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;

namespace excusegenexpress {
  public partial class Page1 : Page {
    Random rnd = new Random();
    DataSourceProvider dataSource = null;

     void Page1_Loaded(object sender, EventArgs e) {
       this.newExcuseButton.Click += newExcuseButton_Click;

       // Set an initial random excuse when the data is loaded
       this.dataSource = (DataSourceProvider)this.FindResource("ExcuseData");
       dataSource.DataChanged += delegate(object sender2, EventArgs e2) {
         ShowNextExcuse();
       };
     }

     void newExcuseButton_Click(object sender, RoutedEventArgs e) {
       ShowNextExcuse();
     }

     void ShowNextExcuse() {
       // change current excuse
       ListCollectionView view = (ListCollectionView)CollectionViewSource.GetDefaultView((IEnumerable)this.dataSource.Data);
       view.MoveCurrentToPosition(rnd.Next(view.Count - 1));
     }

  }
}