using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;
using System.IO;
using System.Xml;
using System.Windows.Serialization;


namespace XamlExamples
{
    /// <summary>
    /// Interaction logic for Example34.xaml
    /// </summary>

    public partial class Example34 : Window
    {
        public Example34()
        {
            InitializeComponent();

            StringReader sr = new StringReader(@"
                <Canvas xmlns='http://schemas.microsoft.com/winfx/avalon/2005'>
                    <Rectangle Width='30' Height='100' Fill='Red' />
                </Canvas>");
            XmlTextReader xr = new XmlTextReader(sr);

            Canvas tree = (Canvas) Parser.LoadXml(xr);
            this.Content = tree;

        }
   }
}