using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;
using System.Windows.Input;


namespace ControlsExamples
{
    /// <summary>
    /// Interaction logic for Example10.xaml
    /// </summary>

    public partial class Example10 : Window
    {
        public Example10()
        {
            InitializeComponent();

            CommandBinding redoCommandBinding =
                    new CommandBinding(ApplicationCommands.Redo);
            redoCommandBinding.CanExecute += RedoCommandQueryEnabled;
            CommandBindings.Add(redoCommandBinding);
        }
        void RedoCommandQueryEnabled(object sender, CanExecuteRoutedEventArgs e)
        {
            if (!CanRedo())
            {
                e.CanExecute = false;
            }
        }

        private bool CanRedo()
        {
            return false;
        }
    }
}