using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;
using System.Windows.Input;


namespace ControlsExamples
{
    /// <summary>
    /// Interaction logic for Example6.xaml
    /// </summary>

    public partial class Example6 : Window
    {
        public static RoutedCommand FooCommand;

        static Example6()
        {
            InputGestureCollection fooInputs = new InputGestureCollection();
            fooInputs.Add(new KeyGesture(Key.F,
                                         ModifierKeys.Control | ModifierKeys.Shift));
            FooCommand = new RoutedCommand("Foo", typeof(Window1), fooInputs);

        }

        static void cmdBindingFoo_Execute(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Command executed", "Foo");
        }
        public Example6()
        {
            InitializeComponent();
            CommandBinding cmdBindingFoo = new CommandBinding(FooCommand);
            cmdBindingFoo.Executed += new ExecutedRoutedEventHandler(cmdBindingFoo_Execute);
            CommandBindings.Add(cmdBindingFoo);
        }


    }
}