using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;


namespace ResourcesExamples
{
    /// <summary>
    /// Interaction logic for Example1.xaml
    /// </summary>

    public partial class Example1 : Window
    {
        public Example1()
        {
            InitializeComponent();

            ResourceDictionary myDictionary = new ResourceDictionary();
            myDictionary.Add("Foo", "Bar");
            myDictionary.Add("HW", "Hello, world");

            Console.WriteLine(myDictionary["Foo"]);
            Console.WriteLine(myDictionary["HW"]);
        }

        // To use Loaded event put Loaded="WindowLoaded" attribute in root element of .xaml file.
        // private void WindowLoaded(object sender, RoutedEventArgs e) {}

        // Sample event handler:  
        // private void ButtonClick(object sender, RoutedEventArgs e) {}

    }
}