using System;
using System.Globalization;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Diagnostics;
using System.Windows.Media;

namespace GraphicsExamples
{
    public class CustomRender : FrameworkElement
    {
        protected override void OnRender(DrawingContext drawingContext)
        {
            Debug.WriteLine("OnRender");

            base.OnRender(drawingContext);


            drawingContext.DrawRectangle(Brushes.Red, null, new Rect(0, 0, 100, 50));

            FormattedText text = new FormattedText("Hello, world",
                CultureInfo.CurrentUICulture, FlowDirection.LeftToRightThenTopToBottom,
                new Typeface("Verdana"), 24, Brushes.Black);
            drawingContext.DrawText(text, new Point(3, 3));
        }
    }
}
