using System;
using System.Windows;
using System.Windows.Threading;
using System.Diagnostics;

namespace AnimationExamples
{
    /// <summary>
    /// Interaction logic for Example9.xaml
    /// </summary>

    public partial class Example9 : Window
    {
        public Example9()
        {
            InitializeComponent();

            t = new DispatcherTimer();
            t.Tick += new EventHandler(OnTimerTick);
            t.Interval = TimeSpan.FromSeconds(0.5);
            t.Start();
            start = DateTime.Now;
        }
        private DispatcherTimer t;
        private DateTime start;

        void OnTimerTick(object sender, EventArgs e)
        {
            TimeSpan elapsedTime = DateTime.Now - start;
            Debug.WriteLine(elapsedTime.ToString() + ": " +
                myEllipse.Width);
        }
    }
}