using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;


namespace AnimationExamples
{
    /// <summary>
    /// Interaction logic for Example7.xaml
    /// </summary>

    public partial class Example7 : Window
    {
        public Example7()
        {
            InitializeComponent();

            // Force clock to start when window created. (Otherwise the
            // animation is pegged to when the first window in the app
            // opens in Beta 1!  So by the time the user opens this window,
            // the animation is probably already over...)
            FindStoryboardClock(Storyboards[0]).ClockController.Begin();
        }

        // To use Loaded event put Loaded="WindowLoaded" attribute in root element of .xaml file.
        // private void WindowLoaded(object sender, RoutedEventArgs e) {}

        // Sample event handler:  
        // private void ButtonClick(object sender, RoutedEventArgs e) {}

    }
}