using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Media;
using System.Windows.Controls;

namespace CustomControlsExamples
{
    public class MyCustomControl : ContentControl
    {
        public static DependencyProperty FooProperty;

        static MyCustomControl()
        {
            PropertyMetadata fooMetadata = new PropertyMetadata(Brushes.Green);
            FooProperty = DependencyProperty.Register("Foo", typeof(Brush),
                typeof(MyCustomControl), fooMetadata);
        }

        public Brush Foo
        {
            get { return (Brush)GetValueBase(FooProperty); }
            set { SetValueBase(FooProperty, value); }
        }
    }
}
