using System;
using System.Collections;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Shapes;
using System.ComponentModel;


namespace excusegen {
  public partial class Window1 : Window {
    Random rnd = new Random();
    DataSourceProvider dataSource = null;

    public Window1() {
      InitializeComponent();
      this.newExcuseButton.Click += newExcuseButton_Click;

      // Set an initial random excuse when the data is loaded
      this.dataSource = (DataSourceProvider)this.FindResource("ExcuseData");
      dataSource.DataChanged += delegate(object sender, EventArgs e) {
        ShowNextExcuse();
      };
    }

    void newExcuseButton_Click(object sender, RoutedEventArgs e) {
      ShowNextExcuse();
    }

    void ShowNextExcuse() {
      // change current excuse
      ListCollectionView view = (ListCollectionView)CollectionViewSource.GetDefaultView((IEnumerable)this.dataSource.Data);
      view.MoveCurrentToPosition(rnd.Next(view.Count - 1));
    }

  }
}
